Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface PortletConstants

public interface PortletConstants

Interface used to store Portlet related constants.

Field Summary
`static java.lang.String` | `DESCRIPTION` Resource attribute name for the portlet description.
`static java.lang.String` | `NAME` Resource attribute name for the portlet name.
`static java.lang.String` | `SHORTTITLE` Resource attribute name for the portlet short title.
`static java.lang.String` | `TIMEOUTMSG` Resource attribute name for the portlet timeout message.
`static java.lang.String` | `TITLE` Resource attribute name for the portlet title.

Field Detail

### NAME

    public static final java.lang.String NAME

  Resource attribute name for the portlet name. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's name.

### TITLE

    public static final java.lang.String TITLE

  Resource attribute name for the portlet title. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's title.

### SHORTTITLE

    public static final java.lang.String SHORTTITLE

  Resource attribute name for the portlet short title. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's short title.

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

  Resource attribute name for the portlet description. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's description.

### TIMEOUTMSG

    public static final java.lang.String TIMEOUTMSG

  Resource attribute name for the portlet timeout message. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's timeout message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD